Subject: Re: [PATCH v7 4/5] format-patch: add commitListFormat config

From: Mirko Faina <[email-masked]>
Date: Tue, 10 Mar 2026 22:19:25 +0100

On Tue, Mar 10, 2026 at 02:34:01PM +0000, Phillip Wood wrote:
> It is unusual for an empty config value to mean something different from it
> not being set. The reason for this is that it allows
> 
>     git -c config.key some-command
> 
> to act as though config.key was not set.
> 
> Perhaps we should use the value "default" to generate a default format. It
> would be nice to support a default format on the commandline as well.

If nothing is passed it defaults to "shortlog", it wouldn't make sense
to call it "default". But I agree, accepting a value as set but without
passing anything to it can create some issues when interacting from cli.